Subject: Re: bug#66885: 29.1; gnus search with mu always returns empty

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 19 Nov 2023 11:46:43 -0800

Britt Anderson <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Your configuration looks correct (your configuration also reveals an
>> annoying redundancy in gnus-search, which is that most nnmail
>> backends have a "directory" value that can and should be used as the
>> value of remove-prefix).
>>
>> Basically, if you're seeing "a maildir "y2023" that lives in archives"
>> as a Gnus group, then this is just a bug in gnus-search's mu handling,
>> plain and simple.
>
> I think the bug starts on line 1952 of gnus-search.el.gz (when opened in
> emacs). It is in the definition of the method for

(Thank you for continuing to bug-hunt, this looks promising, I've just
gotten back from traveling and will set this up to test soon...)